Page MenuHomePhabricator

dumpInterwiki is using prod lists in labs, labs lists in prod
Closed, ResolvedPublic

Description

It looks like it's using the prod lists...

reedy@deployment-deploy01:/srv/mediawiki-staging$ mwscript extensions/WikimediaMaintenance/dumpInterwiki.php > wmf-config/interwiki-labs.php
reedy@deployment-deploy01:/srv/mediawiki-staging$ git diff
diff --git a/wmf-config/interwiki-labs.php b/wmf-config/interwiki-labs.php
index 1019be277..bac2bb6c1 100644
--- a/wmf-config/interwiki-labs.php
+++ b/wmf-config/interwiki-labs.php
@@ -1,5 +1,5 @@
 <?php
-// Automatically generated by dumpInterwiki.php on Sun, 01 Mar 2020 16:04:12 +0000
+// Automatically generated by dumpInterwiki.php on Fri, 06 Mar 2020 16:41:07 +0000
 return [
        '__global:acronym' => '0 https://www.acronymfinder.com/$1.html',
        '__global:advisory' => '1 https://advisory.wikimedia.org/wiki/$1',
@@ -434,221 +434,2822 @@ return [
        '__global:zwiki' => '0 http://www.zwiki.org/$1',
        '_wiki:wikipedia' => '',
        '_wiki:aa' => '1 https://aa.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:ab' => '1 https://ab.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:ace' => '1 https://ace.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:ady' => '1 https://ady.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:af' => '1 https://af.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:ak' => '1 https://ak.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:als' => '1 https://als.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:am' => '1 https://am.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:an' => '1 https://an.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:ang' => '1 https://ang.wikipedia.beta.wmflabs.org/wiki/$1',
        '_wiki:ar' => '1 https://ar.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:arc' => '1 https://arc.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:arz' => '1 https://arz.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:as' => '1 https://as.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:ast' => '1 https://ast.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:atj' => '1 https://atj.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:av' => '1 https://av.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:ay' => '1 https://ay.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:az' => '1 https://az.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:azb' => '1 https://azb.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:ba' => '1 https://ba.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:ban' => '1 https://ban.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:bar' => '1 https://bar.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:bat-smg' => '1 https://bat-smg.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:bcl' => '1 https://bcl.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:be' => '1 https://be.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:be-x-old' => '1 https://be-x-old.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:bg' => '1 https://bg.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:bh' => '1 https://bh.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:bi' => '1 https://bi.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:bjn' => '1 https://bjn.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:bm' => '1 https://bm.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:bn' => '1 https://bn.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:bo' => '1 https://bo.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:bpy' => '1 https://bpy.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:br' => '1 https://br.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:bs' => '1 https://bs.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:bug' => '1 https://bug.wikipedia.beta.wmflabs.org/wiki/$1',
+       '_wiki:bxr' => '1 https://bxr.wikipedia.beta.wmflabs.org/wiki/$1',

I'm guessing this is due to https://github.com/wikimedia/mediawiki-extensions-WikimediaMaintenance/commit/190d5133926a5b0dd4eab5ec0945e76c1b5ade6b

Event Timeline

Reedy created this task.Mar 6 2020, 4:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 6 2020, 4:42 PM

Change 577611 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/WikimediaMaintenance@master] Flip equals labs logic

https://gerrit.wikimedia.org/r/577611

Reedy renamed this task from dumpInterwiki seems to be broken for beta to dumpInterwiki is using prod lists in labs, labs lists in prod.Mar 6 2020, 4:46 PM
Reedy triaged this task as High priority.

Change 577614 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/WikimediaMaintenance@wmf/1.35.0-wmf.22] Flip equals labs logic

https://gerrit.wikimedia.org/r/577614

Change 577614 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMaintenance@wmf/1.35.0-wmf.22] Flip equals labs logic

https://gerrit.wikimedia.org/r/577614

Mentioned in SAL (#wikimedia-operations) [2020-03-06T16:54:31Z] <reedy@deploy1001> Synchronized php-1.35.0-wmf.22/extensions/WikimediaMaintenance/dumpInterwiki.php: T247097 (duration: 01m 00s)

Change 577611 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMaintenance@master] Flip equals labs logic

https://gerrit.wikimedia.org/r/577611

Reedy closed this task as Resolved.Mar 6 2020, 10:28 PM
Reedy claimed this task.